package com.ruoyi.project.ticket.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ticket.mapper.TTicketIdMapper;
import com.ruoyi.project.ticket.domain.TTicketId;
import com.ruoyi.project.ticket.service.ITTicketIdService;

/**
 * 作业票编号Service业务层处理
 *
 * @author ruoyi
 * @date 2022-01-10
 */
@Service
public class TTicketIdServiceImpl implements ITTicketIdService
{
    @Autowired
    private TTicketIdMapper tTicketIdMapper;

    /**
     * 查询作业票编号
     *
     * @param id 作业票编号ID
     * @return 作业票编号
     */
    @Override
    public TTicketId selectTTicketIdById(Long id)
    {
        return tTicketIdMapper.selectTTicketIdById(id);
    }

    /**
     * 查询作业票编号列表
     *
     * @param tTicketId 作业票编号
     * @return 作业票编号
     */
    @Override
    public List<TTicketId> selectTTicketIdList(TTicketId tTicketId)
    {
        return tTicketIdMapper.selectTTicketIdList(tTicketId);
    }

    /**
     * 新增作业票编号
     *
     * @param tTicketId 作业票编号
     * @return 结果
     */
    @Override
    public int insertTTicketId(TTicketId tTicketId)
    {
        return tTicketIdMapper.insertTTicketId(tTicketId);
    }

    /**
     * 修改作业票编号
     *
     * @param tTicketId 作业票编号
     * @return 结果
     */
    @Override
    public int updateTTicketId(TTicketId tTicketId)
    {
        return tTicketIdMapper.updateTTicketId(tTicketId);
    }

    /**
     * 批量删除作业票编号
     *
     * @param ids 需要删除的作业票编号ID
     * @return 结果
     */
    @Override
    public int deleteTTicketIdByIds(Long[] ids)
    {
        return tTicketIdMapper.deleteTTicketIdByIds(ids);
    }

    /**
     * 删除作业票编号信息
     *
     * @param id 作业票编号ID
     * @return 结果
     */
    @Override
    public int deleteTTicketIdById(Long id)
    {
        return tTicketIdMapper.deleteTTicketIdById(id);
    }
}
